Package ru.bitel.bgbilling.modules.phone.server.bean

# Class DataLog

java.lang.Object
ru.bitel.bgbilling.modules.phone.server.bean.DataLog

public final class DataLog extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataLog()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCategory()`
  `String`
  `getFromNumber()`
  `String`
  `getFromNumber164()`
  `String`
  `getFromPort()`
  `int`
  `getId()`
  `Calendar`
  `getSessionStart()`
  `int`
  `getSessionTime()`
  `String`
  `getSource()`
  `String`
  `getToNumber()`
  `String`
  `getToNumber164()`
  `String`
  `getToPort()`
  `void`
  `setCategory(int category)`
  `void`
  `setFromNumber(String fromNumber)`
  `void`
  `setFromNumber164(String fromNumber164)`
  `void`
  `setFromPort(String fromPort)`
  `void`
  `setId(int id)`
  `void`
  `setSessionStart(Calendar sessionStart)`
  `void`
  `setSessionTime(int sessionTime)`
  `void`
  `setSource(String source)`
  `void`
  `setToNumber(String toNumber)`
  `void`
  `setToNumber164(String toNumber164)`
  `void`
  `setToPort(String toPort)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataLog

    public DataLog()

- ## Method Details

  - ### getCategory

    public int getCategory()

  - ### setCategory

    public void setCategory(int category)

  - ### getFromNumber

    public String getFromNumber()

  - ### setFromNumber

    public void setFromNumber(String fromNumber)

  - ### getFromNumber164

    public String getFromNumber164()

  - ### setFromNumber164

    public void setFromNumber164(String fromNumber164)

  - ### getFromPort

    public String getFromPort()

  - ### setFromPort

    public void setFromPort(String fromPort)

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getSessionStart

    public Calendar getSessionStart()

  - ### setSessionStart

    public void setSessionStart(Calendar sessionStart)

  - ### getSessionTime

    public int getSessionTime()

  - ### setSessionTime

    public void setSessionTime(int sessionTime)

  - ### getSource

    public String getSource()

  - ### setSource

    public void setSource(String source)

  - ### getToNumber

    public String getToNumber()

  - ### setToNumber

    public void setToNumber(String toNumber)

  - ### getToNumber164

    public String getToNumber164()

  - ### setToNumber164

    public void setToNumber164(String toNumber164)

  - ### getToPort

    public String getToPort()

  - ### setToPort

    public void setToPort(String toPort)